| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::MeshWrapper Class Referencefinal

Wraps a nkGraphics::Mesh and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void | setCurrentVertexComposition (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getCurrentVertexComposition (void *data)
static nkScripts::OutputValue | fillPackedFromUnpacked (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | load (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | unload (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getNewVertexArray (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getCurrentVertexArray (const nkScripts::DataStack &stack)
static void | setVertexCount (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getVertexCount (void *data)
static nkScripts::OutputValue | getNewIndexArray (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getCurrentIndexArray (const nkScripts::DataStack &stack)
static void | setIndexCount (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getIndexCount (void *data)
static void | setHidden (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getHidden (void *data)
static nkScripts::OutputValue | getLoadState (void *data)

## Detailed Description

Wraps a nkGraphics::Mesh and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::MeshWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ setCurrentVertexComposition()

static void nkAstraeus::nkGraphicsWrap::MeshWrapper::setCurrentVertexComposition | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Mesh::getCurrentVertexComposition(), exposed as an attribute setter.

m.vertexComposition = c ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getCurrentVertexComposition()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getCurrentVertexComposition | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::Mesh::getCurrentVertexComposition(), exposed as an attribute getter.

local c = m.vertexComposition ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a nkGraphics::VertexComposition.

## ◆ fillPackedFromUnpacked()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::fillPackedFromUnpacked | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::fillPackedFromUnpacked().

m:fillPackedFromUnpacked() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ load()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::load | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::load().

local l = m:load() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a bool.

## ◆ unload()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::unload | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::unload().

m:unload() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getNewVertexArray()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getNewVertexArray | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::getNewVertexArray().

local v = m:getNewVertexArray() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkAstraeus::ArrayData<nkGraphics::VertexComponent>.

## ◆ getCurrentVertexArray()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getCurrentVertexArray | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::getCurrentVertexArray().

local v = m:getCurrentVertexArray() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkAstraeus::ArrayData<nkGraphics::VertexComponent>.

## ◆ setVertexCount()

static void nkAstraeus::nkGraphicsWrap::MeshWrapper::setVertexCount | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Mesh::setVertexCount(), exposed as an attribute setter.

m.vertexComposition = c ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getVertexCount()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getVertexCount | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::Mesh::getVertexCount(), exposed as an attribute getter.

local c = m.vertexCount ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a int.

## ◆ getNewIndexArray()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getNewIndexArray | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::getNewIndexArray().

local v = m:getNewIndexArray() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkAstraeus::IntArrayData.

## ◆ getCurrentIndexArray()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getCurrentIndexArray | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::getCurrentIndexArray().

local v = m:getCurrentIndexArray() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkAstraeus::IntArrayData.

## ◆ setIndexCount()

static void nkAstraeus::nkGraphicsWrap::MeshWrapper::setIndexCount | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Mesh::setIndexCount(), exposed as an attribute setter.

m.indexCount = c ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getIndexCount()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getIndexCount | ( | void * | data | ) |
| static

Wrapper function for nkGraphics::Mesh::getIndexCount(), exposed as an attribute getter.

local c = m.indexCount ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a int.

## ◆ setHidden()

static void nkAstraeus::nkGraphicsWrap::MeshWrapper::setHidden | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Mesh::setHidden(), exposed as an attribute setter.

m.hidden = true ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getHidden()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getHidden | ( | void * | data | ) |
| static

Wrapper function for the nkGraphics::Mesh::getHidden(), exposed as an attribute getter.

local h = m.hidden ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

## ◆ getLoadState()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::MeshWrapper::getLoadState | ( | void * | data | ) |
| static

Wrapper function for the nkGraphics::Mesh::getLoadState(), exposed as an attribute getter.

local h = m.loadState ;

Parameters

  data | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a bool.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Meshes/MeshWrapper.h